<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structol__desc__t" kind="struct" language="C++" prot="public">
    <compoundname>ol_desc_t</compoundname>
    <includes local="no">cy_lpa_wifi_ol.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structol__desc__t_1aa710e639017abd5fa8b0bf08f255935f" kind="variable" mutable="no" prot="public" static="no">
        <type>const char *</type>
        <definition>const char* ol_desc_t::name</definition>
        <argsstring />
        <name>name</name>
        <briefdescription>
<para>Friendly name for debug (XXX: make debug only). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="40" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="40" />
      </memberdef>
      <memberdef id="structol__desc__t_1ae2465ecd5a2e0acd0dc6977405542194" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* ol_desc_t::cfg</definition>
        <argsstring />
        <name>cfg</name>
        <briefdescription>
<para>Offload-specific configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="41" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="41" />
      </memberdef>
      <memberdef id="structol__desc__t_1a38e8e98322cb9bf5373cb635a3a4e58a" kind="variable" mutable="no" prot="public" static="no">
        <type>const struct <ref kindref="compound" refid="structol__fns">ol_fns</ref> *</type>
        <definition>const struct ol_fns* ol_desc_t::fns</definition>
        <argsstring />
        <name>fns</name>
        <briefdescription>
<para>Offload-specific function pointers (extern'd by offloads). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="42" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="42" />
      </memberdef>
      <memberdef id="structol__desc__t_1a34c59e179d655f125e8613c0136f97ce" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* ol_desc_t::ol</definition>
        <argsstring />
        <name>ol</name>
        <briefdescription>
<para>Offload-specific instance (context) pointer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="43" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="43" />
      </memberdef>
      <memberdef id="structol__desc__t_1acf6a73a49e43742e5bb6144cff5230bd" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* ol_desc_t::worker_thread</definition>
        <argsstring />
        <name>worker_thread</name>
        <briefdescription>
<para>Worker Thread used by Offload Manager. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="44" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="44" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Offload instance description table entry. </para>    </briefdescription>
    <detaileddescription>
<para>Defines a specific instance and configuration for an offload. This entry may be automatically generated by a software configurator. A table of entries made available to the Offload Manager. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="31">
        <label>ol_desc_t</label>
        <link refid="structol__desc__t" />
        <childnode refid="32" relation="usage">
          <edgelabel>fns</edgelabel>
        </childnode>
      </node>
      <node id="32">
        <label>ol_fns_t</label>
        <link refid="structol__fns" />
      </node>
    </collaborationgraph>
    <location bodyend="45" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" bodystart="38" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol.h" line="39" />
    <listofallmembers>
      <member prot="public" refid="structol__desc__t_1ae2465ecd5a2e0acd0dc6977405542194" virt="non-virtual"><scope>ol_desc_t</scope><name>cfg</name></member>
      <member prot="public" refid="structol__desc__t_1a38e8e98322cb9bf5373cb635a3a4e58a" virt="non-virtual"><scope>ol_desc_t</scope><name>fns</name></member>
      <member prot="public" refid="structol__desc__t_1aa710e639017abd5fa8b0bf08f255935f" virt="non-virtual"><scope>ol_desc_t</scope><name>name</name></member>
      <member prot="public" refid="structol__desc__t_1a34c59e179d655f125e8613c0136f97ce" virt="non-virtual"><scope>ol_desc_t</scope><name>ol</name></member>
      <member prot="public" refid="structol__desc__t_1acf6a73a49e43742e5bb6144cff5230bd" virt="non-virtual"><scope>ol_desc_t</scope><name>worker_thread</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>